#!/bin/bash

FILE="/tmp/cw.html"
FILE_STAT="/tmp/cw_stat.html"

/usr/bin/wget -O $FILE --quiet http://cliowelt.de/forum/index.php
/usr/bin/wget -O $FILE_STAT --quiet http://www.cliowelt.de/forum/index.php?page=UsersOnline


MITGLIEDER=`/bin/cat $FILE |/bin/sed 's/&nbsp;//g'|/bin/egrep -o '[0-9]+ Mitglieder'|/bin/sed 's/ Mitglieder//g'|tail -1`
THEMEN=`/bin/cat $FILE |/bin/sed 's/&nbsp;//g'|/bin/egrep -o '[0-9]{3,} Themen'|/bin/sed 's/ Themen//g'`
POSTS=`/bin/cat $FILE |/bin/sed 's/&nbsp;//g'|/bin/egrep -o '[0-9]{3,} Beiträge'|/bin/sed 's/ Beiträge//g'`
ONLINE_MITGLIEDER=`/bin/cat $FILE_STAT |/bin/sed 's/&nbsp;//g'|/bin/egrep -o 'Es sind [0-9]+ Mitglieder'|/bin/sed 's/ Mitglieder//g'|/bin/sed 's/Es sind //g'`
ONLINE_BESUCHER=`/bin/cat $FILE_STAT |/bin/sed 's/&nbsp;//g'|/bin/egrep -o 'Es sind [0-9]+ Gäste'|/bin/sed 's/ Gäste//g'|/bin/sed 's/Es sind //g'`
ONLINE_UNSICHTBAR=`/bin/cat $FILE |/bin/sed 's/&nbsp;//g'|/bin/egrep -o 'davon [0-9]+ unsichtbar'|/bin/sed 's/ unsichtbar//g'|/bin/sed 's/davon //g'`

if [ ${#ONLINE_UNSICHTBAR} -eq 0 ]; then
        ONLINE_UNSICHTBAR="0"
fi

if [ ${#ONLINE_BESUCHER} -eq 0 ]; then
        ONLINE_BESUCHER="0"
fi

if [ ${#ONLINE_MITGLIEDER} -eq 0 ]; then
        ONLINE_MITGLIEDER="0"
fi

/bin/rm $FILE
/bin/rm $FILE_STAT

echo members:$MITGLIEDER topics:$THEMEN posts:$POSTS online_members:$ONLINE_MITGLIEDER online_visitors:$ONLINE_BESUCHER online_invisible:$ONLINE_UNSICHTBAR